# Get

Launch stage: GA

`GET /api/2.0/vector-search/indexes/{name}`

Get an index.

API scopes: vector-search

## Path parameters

- `name` (string, optional)
  Name of the index

## Query parameters

- `ensure_reranker_compatible` (boolean, optional)
  If true, the URL returned for the index is guaranteed to be compatible with the reranker.
   Currently this means we return the CP URL regardless of how the index is being accessed.
   If not set or set to false, the URL may still be compatible with the reranker depending on
   what URL we return.

## Returns

Returns the VectorIndex object.

## Response

### Successful response for Delta Sync Index

```json
{
  "creator": "john@example.com",
  "delta_sync_index_spec": {
    "embedding_source_columns": [
      {
        "embedding_model_endpoint_name": "e5-small-v2",
        "name": "text"
      }
    ],
    "pipeline_id": "f4eaf1c8-28f9-4ad7-a2f2-a6c8f9eb0b0e",
    "pipeline_type": "TRIGGERED",
    "source_table": "main_catalog.docs.en_wiki"
  },
  "endpoint_name": "docs-endpoint",
  "index_type": "DELTA_SYNC",
  "name": "main_catalog.docs.en_wiki_index",
  "primary_key": "id",
  "status": {
    "index_url": "demo.cloud.databricks.com/api/2.0/vector-search/endpoints/docs-endpoint/indexes/main_catalog.docs.en_wiki_index",
    "indexed_row_count": 0,
    "message": "Delta sync Index creation is pending. Check latest status in Delta Live Tables: https://demo.cloud.databricks.com#joblist/pipelines/f4eaf1c8-28f9-4ad7-a2f2-a6c8f9eb0b0e",
    "ready": false
  }
}
```

### Successful response for Direct Vector Access Index

```json
{
  "creator": "john@example.com",
  "direct_access_index_spec": {
    "embedding_vector_columns": [
      {
        "embedding_dimension": 1024,
        "name": "text_vector"
      }
    ],
    "schema_json": "{\"id\":\"int\",\"text\":\"string\",\"text_vector\":\"array<float>\"}"
  },
  "endpoint_name": "docs-endpoint",
  "index_type": "DIRECT_ACCESS",
  "name": "main_catalog.docs.en_wiki_index",
  "primary_key": "id",
  "status": {
    "index_url": "demo.cloud.databricks.com/api/2.0/vector-search/endpoints/docs-endpoint/indexes/main_catalog.docs.en_wiki_index",
    "indexed_row_count": 0,
    "message": "Direct access index creation succeeded.",
    "ready": true
  }
}
```

